<form [formGroup]="medicationsForm">
  <div class="medications-providers-and-hospitalization" id="medicationProvidersHospitalization">
    <app-content-banner [isDashboard]="false" pageName="Medications Providers and Hospitalization"
      [isTutorialRequired]="true" [TutorialPageName]="'meds-providers'"></app-content-banner>

    <mat-card-content style="margin-top: 30px;">
      <mat-card-header fxLayout="column" fxLayoutGap="10px">
        <app-client-banner></app-client-banner>
      </mat-card-header>
      <mat-card-content>
        <div class="content-main">
          <mat-tab-group dynamicHeight [(selectedIndex)]="tabSelectedIndex" (selectedTabChange)="onTabChanged($event);">
            <mat-tab>
              <!-- Current Medications-->
              <ng-template matTabLabel>
                <span>Current Medications</span>
                <mat-icon *ngIf="tab1Status !== 2"
                  [ngStyle]="{'color': tab1Status == 0 ? pendingColor : tab1Status == 1 ? completedColor :noColor}">
                  {{tab1Status == 1?'check_circle': tab1Status == 0 ? 'watch_later': ''}}</mat-icon>
              </ng-template>
              <ng-template matTabContent>
                <div fxLayout="column" fxLayoutGap="5px">
                  <mat-card class="current-medications-card mat-elevation-z0">
                    <div fxLayout="column" fxLayoutGap="10px">
                      <div fxFlex="66">
                        <h2>Current Medications</h2>
                      </div>
                      <div fxFlex="" fxLayoutGap="10px" formGroupName="medicationGroupForm">
                        <div fxLayout="row" fxLayoutGap="10px" fxLayout.lt-sm="column">
                          <div fxFlex="auto" fxLayout="column" fxLayoutGap="10px">
                            <label>Medication Name:</label>
                            <mat-form-field appearance="outline">
                              <input matInput id="medicationNameCtrl" formControlName="medicationNameCtrl"
                                maxlength="50" oninput="this.value = this.value.toUpperCase()">
                              <!-- <mat-error
                                *ngIf="medicationsForm.get('medicationGroupForm').get('medicationNameCtrl').errors?.required">
                                {{ formErrors.medicationNameCtrl }}
                              </mat-error> -->
                            </mat-form-field>
                          </div>
                          <div fxFlex="auto" fxLayout="row" fxLayoutGap="10px">
                            <mat-input-container fxFlex="auto" fxLayout="column" fxLayoutGap="10px">
                              <label>Medication Type:</label>
                              <mat-radio-group fxLayout="row" fxLayoutGap="15px"
                                formControlName="medicationTypeDataCtrl" name="mltcPlan">
                                <mat-radio-button *ngFor="let type of medicationType" [value]="type.refGroupDetailID"
                                  required>{{type.refGroupDetailDescription}}</mat-radio-button>
                              </mat-radio-group>
                              <!-- <mat-error
                                *ngIf="medicationsForm.get('medicationGroupForm').get('medicationTypeDataCtrl').errors?.radioGroupRequired">
                                {{ formErrors.medicationTypeDataCtrl }}</mat-error> -->
                            </mat-input-container>
                            <mat-input-container fxFlex="25" fxLayout="column" fxLayoutAlign="center left">
                              <button mat-icon-button aria-label="Add" type="button" (click)="addMedications(true)">
                                <mat-icon class="content-sub-actions green-color" matTooltip="Add Medications">
                                  add_circle</mat-icon>
                              </button>
                            </mat-input-container>
                          </div>
                        </div>
                      </div>
                      <div fxFlex="">
                        <div class="content-sub">
                          <ag-grid-angular class="ag-theme-balham" style="width: 100%; height: 250px;"
                            [rowData]="medicationDetailsRowData" [columnDefs]="medicationColumnDefs"
                            [gridOptions]="gridOptions" (firstDataRendered)="onFirstDataRendered($event)"
                            (gridReady)="onGridReady($event)" [frameworkComponents]="frameworkComponents"
                            [pagination]="pagination" [paginationPageSize]="5"
                            [overlayLoadingTemplate]="overlayMedicationDetailsLoadingTemplate"
                            [overlayNoRowsTemplate]="overlayMedicationDetailsNoRowsTemplate">
                          </ag-grid-angular>
                        </div>
                      </div>
                      <mat-card-content fxLayoutAlign="start" fxLayout="row" fxLayout.md="column" fxLayoutGap="15px">
                        <label class="required-label-color">
                          Once the applicant is housed, what level of support, if any (new or in place), is required to
                          maintain medication compliaince?
                        </label>
                        <mat-form-field appearance="outline" fxFlex="20">
                          <mat-select fxFlex="" id="levelOfSupportCtrl" formControlName="levelOfSupportCtrl"
                            matTooltip="{{getLevelofSupportTooltip() }}">
                            <mat-option [value]="0">Select One</mat-option>
                            <mat-option *ngFor="let levelOfSupport of levelOfSupports"
                              [value]="levelOfSupport.refGroupDetailID">
                              {{levelOfSupport.refGroupDetailDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </mat-card-content>
                      <div fxFlex=""></div>
                    </div>
                  </mat-card>
                </div>
              </ng-template>
            </mat-tab>
            <mat-tab>
              <!-- Current Treatment/Service Providers -->
              <ng-template matTabLabel>
                <span>Current Treatment/Service Providers</span>
                <mat-icon *ngIf="tab2Status !== 2"
                  [ngStyle]="{'color': tab2Status == 0 ? pendingColor : tab2Status == 1 ? completedColor :noColor}">
                  {{tab2Status == 1?'check_circle': tab2Status == 0 ? 'watch_later': ''}}</mat-icon>
              </ng-template>
              <ng-template matTabContent>
                <mat-card class="current-medications-card mat-elevation-z0">
                  <div fxLayout="column" fxLayoutGap="10px">
                    <div fxFlex="">
                      <h2>Current Treatment/Service Providers</h2>
                    </div>
                    <div fxFlex="" fxLayoutGap="5px">
                      <label fxFlex="100">List Applicant's current treatment & service providers, including, but not
                        limited to,
                        medical, mental health and case management services providers/programs.
                        <br />Please list any substance use treatment providers on the Substance Use tab.</label>
                    </div>
                    <div fxFlex="">
                      <h4>Add New Treatment/Service Provider</h4>
                    </div>
                    <div fxFlex="" formGroupName="treatmentServiceGroupForm">
                      <div fxLayout="row wrap" fxLayoutGap="15px" fxLayout.sm="column">
                        <mat-input-container fxFlex="18" fxLayout="column" fxLayoutGap="5px">
                          <label class="required-label-color">Agency/Program Name</label>
                          <mat-form-field appearance="outline">
                            <input matInput id="agencyProgramNameCtrl" formControlName="agencyProgramNameCtrl"
                              maxlength="50" oninput="this.value = this.value.toUpperCase()">
                            <!-- <mat-error
                              *ngIf="medicationsForm.get('treatmentServiceGroupForm').get('agencyProgramNameCtrl').errors?.required">
                              {{ formErrors.agencyProgramNameCtrl }}
                            </mat-error> -->
                          </mat-form-field>
                        </mat-input-container>
                        <mat-input-container fxFlex="18" fxLayout="column" fxLayoutGap="5px">
                          <label>Provider/Contact Name</label>
                          <mat-form-field appearance="outline">
                            <input matInput id="providerContactNameCtrl" formControlName="providerContactNameCtrl"
                              maxlength="50" oninput="this.value = this.value.toUpperCase()">
                          </mat-form-field>
                        </mat-input-container>
                        <mat-input-container fxFlex="14" fxLayout="column" fxLayoutGap="5px">
                          <label>Phone</label>
                          <mat-form-field appearance="outline">
                            <input matInput id="phoneCtrl" formControlName="phoneCtrl" [showMaskTyped]="true"
                              (blur)="phoneValidate()" mask="000-000-0000">
                            <button mat-button *ngIf="treatmentServicesFormGroup.controls.phoneCtrl.value" matSuffix
                              mat-icon-button aria-label="Clear" type="button"
                              (click)="treatmentServicesFormGroup.controls.phoneCtrl.reset()">
                              <mat-icon>close</mat-icon>
                            </button>
                          </mat-form-field>
                        </mat-input-container>
                        <mat-input-container fxFlex="18" fxLayout="column" fxLayoutGap="5px">
                          <label class="required-label-color">Type</label>
                          <mat-form-field class="content-sub-field" appearance="outline"
                            style="max-width: 100%; width: auto;" floatLabel="never">
                            <mat-select fxFlex="" id="treatmentServiceTypeCtrl"
                              formControlName="treatmentServiceTypeCtrl">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let treatmentServiceType of treatmentServiceTypes"
                                [value]="treatmentServiceType.refGroupDetailID">
                                {{treatmentServiceType.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                            <!-- <mat-error
                              *ngIf="medicationsForm.get('treatmentServiceGroup').get('treatmentServiceTypeCtrl').errors?.dropdownRequired">
                              {{ formErrors.treatmentServiceTypeCtrl }}
                            </mat-error> -->
                          </mat-form-field>
                        </mat-input-container>
                        <mat-input-container fxFlex="18" fxLayout="column" fxLayoutGap="5px">
                          <label class="required-label-color">Modality</label>
                          <mat-form-field class="content-sub-field" appearance="outline"
                            style="max-width: 100%; width: auto;" floatLabel="never">
                            <mat-select fxFlex="" id="treatmentServiceModalitiesCtrl"
                              formControlName="treatmentServiceModalitiesCtrl">
                              <mat-option [value]="0">Select One</mat-option>
                              <mat-option *ngFor="let treatmentServiceModality of filteredtreatmentServiceModalities"
                                [value]="treatmentServiceModality.refGroupDetailID">
                                {{treatmentServiceModality.refGroupDetailDescription}}
                              </mat-option>
                            </mat-select>
                            <!-- <mat-error
                              *ngIf="medicationsForm.get('treatmentServiceGroup').get('treatmentServiceModalitiesCtrl').errors?.dropdownRequired">
                              {{ formErrors.treatmentServiceModalitiesCtrl }}
                            </mat-error> -->
                          </mat-form-field>
                        </mat-input-container>
                        <mat-input-container fxFlex="" fxLayout="column" fxLayoutGap="10px" fxLayoutAlign="center left">
                          <button mat-icon-button aria-label="Add" type="button" (click)="addTreatmentServices(true)">
                            <mat-icon class="content-sub-actions green-color" matTooltip="Add Treatment Services">
                              add_circle
                            </mat-icon>
                          </button>
                        </mat-input-container>
                        <!-- <mat-input-container fxFlex="" fxLayout="column" fxLayoutGap="5px"
                          fxLayoutAlign="center center">
                          <mat-button mat-mini-fab aria-label="Add">
                            <mat-icon style="color: rgba(0, 255, 98, 0.603);">add_circle</mat-icon>
                          </mat-button>
                        </mat-input-container> -->
                      </div>
                    </div>
                  </div>
                </mat-card>
                <mat-card class="current-medications-card mat-elevation-z0">
                  <div class="content-sub">
                    <ag-grid-angular class="ag-theme-balham" style="width: 100%; height: 250px;"
                      [rowData]="treatmentServicesDetailsRowData" [columnDefs]="treatmentServicesColumnDefs"
                      [animateRows]="true" [defaultColDef]="defaultColDef" [gridOptions]="treatmentServicesGridOptions"
                      (firstDataRendered)="onFirstDataRendered($event)" [pagination]="pagination"
                      [paginationPageSize]="5" (gridReady)="onTreatmentServicesGridReady($event)"
                      [frameworkComponents]="treatmentServicesframeworkComponents"
                      [overlayLoadingTemplate]="overlayTreatmentServicesLoadingTemplate"
                      [overlayNoRowsTemplate]="overlayTreatmentServicesNoRowsTemplate">
                    </ag-grid-angular>
                  </div>
                </mat-card>
              </ng-template>
            </mat-tab>
            <mat-tab>
              <!-- Hospitalizations Tab -->
              <ng-template matTabLabel>
                <span>Hospitalizations</span>
                <mat-icon *ngIf="tab3Status !== 2"
                  [ngStyle]="{'color': tab3Status == 0 ? pendingColor : tab3Status == 1 ? completedColor :noColor}">
                  {{tab3Status == 1?'check_circle': tab3Status == 0 ? 'watch_later': ''}}</mat-icon>
              </ng-template>
              <ng-template matTabContent>
                <div fxLayout="column" fxLayoutGap="5px" formGroupName="hospitalizationsForm">
                  <mat-card class="current-medications-card mat-elevation-z0">
                    <mat-card-content fxLayout="column" fxLayoutAlign="start left">
                      <mat-card-content fxFlexFill>
                        <h2>Hospitalizations</h2>
                      </mat-card-content>
                      <mat-card-content fxFlexFill>
                        <label>(Hospitalization history should be detailed in the Psychiatric Evaluation and
                          Psychosocial Summary.)</label>
                      </mat-card-content>
                      <mat-card-content fxLayoutAlign="start" fxLayout="row" fxLayout.md="column" fxLayoutGap="15px">
                        <label fxFlex="40">Has the applicant ever been psychiatrically hospitalized?</label>
                        <mat-form-field appearance="outline" fxFlex="15">
                          <!-- <input matInput id="isApplicantPsychiatricallyHospitalizedCtrl" numberOnly maxlength="3"
                            formControlName="isApplicantPsychiatricallyHospitalizedCtrl" type="text" pattern="\d*"
                            name="isApplicantPsychiatricallyHospitalized" />
                          <mat-error>{{ formErrors.isApplicantPsychiatricallyHospitalizedCtrl }}</mat-error> -->
                          <mat-select fxFlex="" id="isApplicantPsychiatricallyHospitalizedCtrl"
                            formControlName="isApplicantPsychiatricallyHospitalizedCtrl">
                            <mat-option [value]="0">Select One</mat-option>
                            <mat-option *ngFor="let applCurrHosp of applCurrHospType"
                              [value]="applCurrHosp.refGroupDetailID">
                              {{applCurrHosp.refGroupDetailDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </mat-card-content>
                      <mat-card-content fxLayoutAlign="start" fxLayout="row" fxLayout.md="column" fxLayoutGap="15px"
                        *ngIf="isAgeOfFirstPsychHospValid()">
                        <div fxFlex="40">
                          <div fxFlex="30px"></div>
                          <label fxFlexFill>Estimated Number of Psychiatric Hospitalizations in Past 3 Years:</label>
                        </div>
                        <mat-form-field appearance="outline" fxFlex="15">
                          <input matInput id="noOfPsychiatricHospitalizationInPast3YrsCtrl" numberOnly
                            (blur)="noOfPsychiatricHospitalizationInPast3YrsValidate()"
                            formControlName="noOfPsychiatricHospitalizationInPast3YrsCtrl" type="text" maxlength="3"
                            pattern="\d*" name="noOfPsychiatricHospitalizationInPast3Yrs">
                          <!-- <mat-error>{{ formErrors.noOfPsychiatricHospitalizationInPast3YrsCtrl }}</mat-error>  -->

                        </mat-form-field>
                        <label fxFlex="15">Most recent discharge date:</label>
                        <mat-form-field appearance="outline" fxFlex="12">
                          <input matInput id="recentDischargeDateCtrl" [matDatepicker]="recentDischargePicker"
                            formControlName="recentDischargeDateCtrl" dateOnly placeholder="MM/DD/YYYY" maxlength="10"
                            name="recentDischargeDate" [max]="now" [min]="minDate" (blur)="recentDischargeValidate()">
                          <!-- <mat-icon matSuffix (click)="recentDischargePicker.open()"
                            style="cursor:pointer; color:#777;">today
                          </mat-icon> -->
                          <mat-datepicker-toggle matSuffix [for]="recentDischargePicker"></mat-datepicker-toggle>
                          <mat-datepicker #recentDischargePicker></mat-datepicker>
                        </mat-form-field>

                      </mat-card-content>
                      <mat-card-content fxLayoutAlign="start" fxLayout="row" fxLayout.md="column" fxLayoutGap="15px">
                        <label class="required-label-color" fxFlex="40">Is the Applicant Currently Hospitalized?</label>
                        <mat-form-field appearance="outline" fxFlex="15">
                          <mat-select fxFlex="" id="isCurrentHospitalizedCtrl"
                            formControlName="isCurrentHospitalizedCtrl">
                            <mat-option [value]="0">Select One</mat-option>
                            <mat-option *ngFor="let applCurrHosp of applCurrHospType"
                              [value]="applCurrHosp.refGroupDetailID">
                              {{applCurrHosp.refGroupDetailDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </mat-card-content>
                      <mat-card-content fxLayoutAlign="start" fxLayout="row" fxLayout.md="column" fxLayoutGap="15px"
                        *ngIf="hospitalizationsFormGroup.controls.isCurrentHospitalizedCtrl.value == this.refGroupYesID">
                        <div fxFlex="40">
                          <div fxFlex="30px"></div>
                          <label fxFlexFill
                            *ngIf="hospitalizationsFormGroup.controls.isCurrentHospitalizedCtrl.value == this.refGroupYesID"
                            [class]="hospitalizationsFormGroup.controls.isCurrentHospitalizedCtrl.value == this.refGroupYesID ? 'required-label-color' : 'optional-label-color'">If
                            yes,
                            Date of
                            Admission:</label>
                        </div>
                        <mat-form-field appearance="outline" fxFlex="15"
                          *ngIf="hospitalizationsFormGroup.controls.isCurrentHospitalizedCtrl.value == this.refGroupYesID">
                          <input matInput id="admissionDateCtrl" formControlName="admissionDateCtrl"
                            [matDatepicker]="admissionPicker" placeholder="MM/DD/YYYY" [max]="now" dateOnly
                            name="admissionDate" (blur)="admissionDateValidate()" maxlength="10">
                          <!-- <mat-icon matSuffix (click)="admissionPicker.open()" style="cursor:pointer; color:#777;">today
                          </mat-icon> -->
                          <mat-datepicker-toggle matSuffix [for]="admissionPicker"></mat-datepicker-toggle>
                          <mat-datepicker #admissionPicker></mat-datepicker>
                        </mat-form-field>
                        <label fxFlex="15"
                          *ngIf="hospitalizationsFormGroup.controls.isCurrentHospitalizedCtrl.value == this.refGroupYesID"
                          [class]="hospitalizationsFormGroup.controls.isCurrentHospitalizedCtrl.value == this.refGroupYesID ? 'required-label-color' : 'optional-label-color'">Service:</label>
                        <mat-form-field appearance="outline" fxFlex="12"
                          *ngIf="hospitalizationsFormGroup.controls.isCurrentHospitalizedCtrl.value == this.refGroupYesID">
                          <mat-select fxFlex="" id="serviceTypeCtrl" formControlName="serviceTypeCtrl"
                            placeholder="Select-One">
                            <mat-option [value]="0">Select One</mat-option>
                            <mat-option *ngFor="let applCurrHospService of applCurrHospServiceType"
                              [value]="applCurrHospService.refGroupDetailID">
                              {{applCurrHospService.refGroupDetailDescription}}
                            </mat-option>
                          </mat-select>
                        </mat-form-field>
                      </mat-card-content>
                      <mat-card-content fxLayoutAlign="start" fxLayout="row" fxLayout.md="column" fxLayoutGap="15px"
                        *ngIf="hospitalizationsFormGroup.controls.isCurrentHospitalizedCtrl.value == this.refGroupYesID">
                        <div fxFlex="40">
                          <div fxFlex="30px"></div>
                          <label fxFlexFill
                            [class]="hospitalizationsFormGroup.controls.isCurrentHospitalizedCtrl.value == this.refGroupYesID ? 'required-label-color' : 'optional-label-color'">
                            Name of Hospital:
                          </label>
                        </div>
                        <mat-form-field appearance="outline" fxFlex="30">
                          <input matInput id="hospitalNameCtrl" formControlName="hospitalNameCtrl" fxflex maxlength="50"
                            oninput="this.value = this.value.toUpperCase()" name="hospitalName">
                        </mat-form-field>
                      </mat-card-content>
                    </mat-card-content>
                  </mat-card>
                </div>
              </ng-template>
            </mat-tab>
            <mat-tab>
              <!--Care Coordication-->
              <ng-template matTabLabel>
                <span>Care Coordination</span>
                <mat-icon *ngIf="tab4Status !== 2"
                  [ngStyle]="{'color': tab4Status == 0 ? pendingColor : tab4Status == 1 ? completedColor :noColor}">
                  {{tab4Status == 1?'check_circle': tab4Status == 0 ? 'watch_later': ''}}</mat-icon>
              </ng-template>
              <ng-template matTabContent>
                <div fxLayout="column" fxLayoutGap="5px" formGroupName="careCoordinationForm">
                  <mat-card class="current-medications-card mat-elevation-z0">
                    <!-- <div fxLayout="column" fxLayoutGap="25px">
                      <div fxFlex="66">
                        <h2>Care Coordination</h2>
                      </div>
                      <div fxFlex="">
                        <mat-input-container fxFlex="" fxLayout="row" fxLayout.md="column" fxLayoutGap="5px">
                          <div fxFlex="35"> <label>Is the client enrolled in a Managed Long Term Care (MLTC)
                              Plan?</label>
                          </div>
                          <div fxFlex="10">
                            <mat-radio-group fxLayout="row" fxLayoutGap="15px">
                              <mat-radio-button value="33" class="mat-primary">Yes</mat-radio-button>
                              <mat-radio-button value="34"> No</mat-radio-button>
                            </mat-radio-group>
                          </div>
                          <div fxflex=""></div>
                        </mat-input-container>
                      </div>
                      <div fxFlex="">
                        <mat-input-container fxFlex="" fxLayout="row" fxLayout.md="column" fxLayoutGap="5px">
                          <div fxFlex="35"> <label>Is the client enrolled in a Health Home?</label></div>
                          <div fxFlex="10">
                            <mat-radio-group fxLayout="row" fxLayoutGap="15px">
                              <mat-radio-button value="33" class="mat-primary">Yes</mat-radio-button>
                              <mat-radio-button value="34"> No</mat-radio-button>
                            </mat-radio-group>
                          </div>
                          <div fxflex=""></div>
                        </mat-input-container>
                      </div>
                      <div fxFlex=""></div>
                    </div> -->
                    <mat-card-content fxLayout="column" fxLayoutAlign="start left">
                      <mat-card-content fxFlexFill>
                        <h2>Care Coordination</h2>
                      </mat-card-content>
                      <mat-card-content fxLayoutAlign="start" fxLayout="row" fxLayoutGap="15px">
                        <label style="color: red;" fxFlex="50" fxFlex.lt-xl="60" fxFlex.lt-md="70" fxFlex.lt-sm="80">Is
                          the client enrolled in a Managed Long Term Care (MLTC)
                          Plan? </label>
                        <mat-radio-group fxLayout="row" fxLayoutGap="15px" formControlName="mltcPlanCtrl"
                          name="mltcPlan">
                          <!-- <mat-radio-button value="33" class="mat-primary">Yes</mat-radio-button>
                          <mat-radio-button value="34"> No </mat-radio-button> -->
                          <mat-radio-button *ngFor="let btn of radioBtnYesNo" [value]="btn.refGroupDetailID">
                            {{btn.refGroupDetailDescription}} </mat-radio-button>
                        </mat-radio-group>
                      </mat-card-content>
                      <div
                        *ngIf="medicationsForm.get('careCoordinationForm').get('mltcPlanCtrl').value == this.refGroupYesID"
                        style="margin-left: 30px;">
                        <div fxLayoutAlign="start" fxLayout="row" fxLayout.lt-sm="column" fxLayoutGap="5px">
                          <label style="color: red;" fxFlex="40" fxFlex.lt-md="50">Agency/Program Name : </label>
                          <mat-form-field appearance="outline" fxFlex="40" fxFlex.lt-md="50">
                            <input matInput id="mltcAgencyProgramNameCtrl" formControlName="mltcAgencyProgramNameCtrl"
                              maxlength="50" oninput="this.value = this.value.toUpperCase()"
                              name="mltcAgencyProgramName">
                          </mat-form-field>
                        </div>
                        <div fxLayoutAlign="start" fxLayout="row" fxLayout.lt-sm="column" fxLayoutGap="5px">
                          <label style="color: red;" fxFlex="40" fxFlex.lt-md="50">Provider/Contact Name and
                            Address:</label>
                          <mat-form-field appearance="outline" fxFlex="40" fxFlex.lt-md="50">
                            <input matInput id="mltcAgencyProgramAddressCtrl" maxlength="50"
                              oninput="this.value = this.value.toUpperCase()"
                              formControlName="mltcAgencyProgramAddressCtrl" name="mltcAgencyProgramAddress">
                          </mat-form-field>
                        </div>
                        <div fxLayoutAlign="start" fxLayout="row" fxLayout.lt-sm="column" fxLayoutGap="5px">
                          <label style="color: red;" fxFlex="40" fxFlex.lt-md="50">Phone #: </label>
                          <mat-form-field appearance="outline" fxFlex="40" fxFlex.lt-md="50">
                            <input matInput id="mltcAgencyProgramPhoneCtrl" formControlName="mltcAgencyProgramPhoneCtrl"
                              (blur)="mltcAgencyProgramPhoneValidate()" name="mltcAgencyProgramPhone"
                              [showMaskTyped]="true" mask="000-000-0000">
                            <button mat-button
                              *ngIf="careCoordinationFormGroup.controls.mltcAgencyProgramPhoneCtrl.value" matSuffix
                              mat-icon-button aria-label="Clear" type="button"
                              (click)="careCoordinationFormGroup.controls.mltcAgencyProgramPhoneCtrl.reset()">
                              <mat-icon>close</mat-icon>
                            </button>
                          </mat-form-field>
                        </div>
                      </div>
                      <mat-card-content fxLayoutAlign="start" fxLayout="row" fxLayoutGap="15px">
                        <label style="color: red;" fxFlex="50" fxFlex.lt-xl="60" fxFlex.lt-md="70" fxFlex.lt-sm="80">Is
                          the client enrolled in a Health Home ? </label>
                        <mat-radio-group fxLayout="row" fxLayoutGap="15px" formControlName="healthHomeCtrl">
                          <mat-radio-button *ngFor="let btn of radioBtnYesNo" [value]="btn.refGroupDetailID">
                            {{btn.refGroupDetailDescription}} </mat-radio-button>
                        </mat-radio-group>
                      </mat-card-content>
                      <div
                        *ngIf="medicationsForm.get('careCoordinationForm').get('healthHomeCtrl').value == this.refGroupYesID"
                        style="margin-left: 30px;">
                        <div fxLayoutAlign="start" fxLayout="row" fxLayout.lt-sm="column" fxLayoutGap="5px">
                          <label style="color: red;" fxFlex="40" fxFlex.lt-md="50">Agency/Program Name : </label>
                          <mat-form-field appearance="outline" fxFlex="40" fxFlex.lt-md="50">
                            <input matInput id="healthHomeAgencyProgNameCtrl" maxlength="50"
                              oninput="this.value = this.value.toUpperCase()"
                              formControlName="healthHomeAgencyProgNameCtrl" name="healthHomeAgencyProgName">
                          </mat-form-field>
                        </div>
                        <div fxLayoutAlign="start" fxLayout="row" fxLayout.lt-sm="column" fxLayoutGap="5px">
                          <label style="color: red;" fxFlex="40" fxFlex.lt-md="50">Provider/Contact Name and
                            Address:</label>
                          <mat-form-field appearance="outline" fxFlex="40" fxFlex.lt-md="50">
                            <input matInput id="healthHomeAgencyProgAddressCtrl" maxlength="50"
                              oninput="this.value = this.value.toUpperCase()"
                              formControlName="healthHomeAgencyProgAddressCtrl" name="healthHomeAgencyProgAddress">
                          </mat-form-field>
                        </div>
                        <div fxLayoutAlign="start" fxLayout="row" fxLayout.lt-sm="column" fxLayoutGap="5px">
                          <label style="color: red;" fxFlex="40" fxFlex.lt-md="50">Phone #: </label>
                          <mat-form-field appearance="outline" fxFlex="40" fxFlex.lt-md="50">
                            <input matInput id="healthHomeAgencyProgPhoneCtrl" [showMaskTyped]="true"
                              mask="000-000-0000" formControlName="healthHomeAgencyProgPhoneCtrl"
                              (blur)="healthHomeAgencyProgPhoneValidate()" name="healthHomeAgencyProgPhone">
                            <button mat-button
                              *ngIf="careCoordinationFormGroup.controls.healthHomeAgencyProgPhoneCtrl.value" matSuffix
                              mat-icon-button aria-label="Clear" type="button"
                              (click)="careCoordinationFormGroup.controls.healthHomeAgencyProgPhoneCtrl.reset()">
                              <mat-icon>close</mat-icon>
                            </button>
                          </mat-form-field>
                        </div>
                      </div>

                    </mat-card-content>
                  </mat-card>
                </div>
              </ng-template>
            </mat-tab>
            <mat-tab>
              <!-- Crisis Intervention-->
              <ng-template matTabLabel>
                <span>Crisis Intervention</span>
                <mat-icon *ngIf="tab5Status !== 2"
                  [ngStyle]="{'color': tab5Status == 0 ? pendingColor : tab5Status == 1 ? completedColor :noColor}">
                  {{tab5Status == 1?'check_circle': tab5Status == 0 ? 'watch_later': ''}}</mat-icon>
              </ng-template>
              <ng-template matTabContent>
                <div fxLayout="column" fxLayoutGap="5px" formGroupName="crisisInterventionForm">
                  <mat-card class="current-medications-card mat-elevation-z0">
                    <div fxLayout="column" fxLayoutAlign="start left">
                      <div fxFlexFill>
                        <h2>Crisis Intervention</h2>
                      </div>
                      <mat-card-content fxLayoutAlign="start" fxLayout="row" fxLayoutGap="15px">
                        <label style="color: red;" fxFlex="80">Was the applicant involuntarily escorted by street
                          outreach and/or
                          mobile crisis team for psychiatric assessment due to safety concerns?</label>
                        <mat-radio-group fxLayout="row" fxLayoutGap="15px"
                          formControlName="everTakenForPsychiatricAssessmentCtrl">
                          <!-- <mat-radio-button value="33" class="mat-primary">Yes</mat-radio-button>
                          <mat-radio-button value="34"> No</mat-radio-button> -->
                          <mat-radio-button *ngFor="let btn of radioBtnYesNo" [value]="btn.refGroupDetailID">
                            {{btn.refGroupDetailDescription}} </mat-radio-button>
                        </mat-radio-group>
                      </mat-card-content>
                      <div
                        *ngIf="medicationsForm.get('crisisInterventionForm').get('everTakenForPsychiatricAssessmentCtrl').value == this.refGroupYesID"
                        style="margin-left: 30px;">
                        <div fxLayoutAlign="start" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
                          <label style="color: red;" fxFlex="30">Date of most recent occurrence: </label>
                          <mat-form-field appearance="outline" fxFlex="30">
                            <input matInput id="recentPhychAssessmentDateCtrl"
                              [matDatepicker]="recentPhychAssessmentPicker" placeholder="MM/DD/YYYY" [max]="now"
                              dateOnly formControlName="recentPhychAssessmentDateCtrl" name="recentPhychAssessmentDate"
                              (blur)="recentPhychAssessmentDateValidate()" maxlength="10">
                            <!-- <mat-icon matSuffix (click)="recentPhychAssessmentPicker.open()"
                              style="cursor:pointer; color:#777;">today
                            </mat-icon> -->
                            <mat-datepicker-toggle matSuffix [for]="recentPhychAssessmentPicker"></mat-datepicker-toggle>
                            <mat-datepicker #recentPhychAssessmentPicker></mat-datepicker>
                          </mat-form-field>
                        </div>
                      </div>
                      <mat-card-content fxLayoutAlign="start" fxLayout="row" fxLayoutGap="15px">
                        <label style="color: red;" fxFlex="80">Was the applicant involuntarily transported from a
                          public space to
                          emergency services or shelter due to extreme weather conditions?</label>
                        <mat-radio-group fxLayout="row" fxLayoutGap="15px"
                          formControlName="everTakenToEmergencyServicesCtrl">
                          <!-- <mat-radio-button value="33" class="mat-primary">Yes</mat-radio-button>
                          <mat-radio-button value="34"> No</mat-radio-button> -->
                          <mat-radio-button *ngFor="let btn of radioBtnYesNo" [value]="btn.refGroupDetailID">
                            {{btn.refGroupDetailDescription}} </mat-radio-button>
                        </mat-radio-group>
                      </mat-card-content>
                      <div
                        *ngIf="medicationsForm.get('crisisInterventionForm').get('everTakenToEmergencyServicesCtrl').value == this.refGroupYesID"
                        style="margin-left: 30px;">
                        <div fxLayoutAlign="start" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
                          <label style="color: red;" fxFlex="30">Date of most recent occurrence: </label>
                          <mat-form-field appearance="outline" fxFlex="30">
                            <input matInput id="recentEmergencyServicesDateCtrl"
                              [matDatepicker]="recentEmergencyServicesPicker" placeholder="MM/DD/YYYY" [max]="now"
                              dateOnly formControlName="recentEmergencyServicesDateCtrl"
                              name="recentEmergencyServicesDate" (blur)="recentEmergencyServicesDateValidate()"
                              maxlength="10">
                            <!-- <mat-icon matSuffix (click)="recentEmergencyServicesPicker.open()"
                              style="cursor:pointer; color:#777;">today
                            </mat-icon> -->
                            <mat-datepicker-toggle matSuffix [for]="recentEmergencyServicesPicker"></mat-datepicker-toggle>
                            <mat-datepicker #recentEmergencyServicesPicker></mat-datepicker>
                          </mat-form-field>
                        </div>
                      </div>
                    </div>
                  </mat-card>
                </div>
              </ng-template>
            </mat-tab>
          </mat-tab-group>
        </div>
      </mat-card-content>
      <!-- <app-nav-footer (Previousbtn)="PreviousPage()" (Nextbtn)="NextPage()"  ></app-nav-footer> -->
      <app-nav-footer (Savebtn)="onSubmit()" (Previousbtn)="PreviousPage()" (Nextbtn)="NextPage()"></app-nav-footer>
    </mat-card-content>
  </div>
</form>